#ifndef __IjQLOutputBase_hpp
#define __IjQLOutputBase_hpp
// \file IjQLOutputBase.hpp
// \par Description
// Interface class for the jQLBaseOutputClass class, for use by jEDI drivers.
//
// *ALL* access to jQL objects directly, derived from the jQLBaseOutputClass objects *MUST* occur
// within the context of this Interface class.
//
// This class *MUST ONLY* be changed on the authority of the jEDI Driver Team.
//

// Implementation in Phase II
// Forward Declarations
class jQLBaseOutputClass;
class CVar;

class JBASE_EXPORT IjQLOutputBase
{
public:
	IjQLOutputBase() {};
	virtual ~IjQLOutputBase() {};
	virtual void Output() = 0;
//	virtual void Output(CVar &inKey) = 0;
//	virtual void Finish();
//	virtual int getExitMessage(VAR* messageNo);
//	virtual int getSelectList(VAR* pSelectVar);
};

#endif // __IjQLOutputBase_hpp
