#ifndef __IjQLOutputCount_hpp
#define __IjQLOutputCount_hpp
// \file IjQLOutputCount.hpp
// \par Description
// Interface class for the jQLOutputCount class, for use by jEDI drivers.
//
// *ALL* access to jQL objects directly, related to the jQLOutputCount objects *MUST* occur
// within the context of this Interface class.
//
// This class *MUST ONLY* be changed on the authority of the jEDI Driver Team.
//

// Implementation in Phase II
#include <IjQLOutputBase.hpp>

//Forward Declarations
class jQLOutputCount;

class JBUILD_EXPORT IjQLOutputCount : public IjQLOutputBase
{
public:
	IjQLOutputCount(jQLOutputCount *jQLOutputCount); //: _pjQLOutputCount(&jQLOutputCount) { };
	virtual ~IjQLOutputCount();

	virtual void Output();

protected:

	// private methods
private:
	// Prevent copying...
	IjQLOutputCount(IjQLOutputCount& rh);
	IjQLOutputCount& operator=(IjQLOutputCount& rh);

	// private members
private:
	jQLOutputCount *_pjQLOutputCount;
};

#endif // __IjQLOutputCount_hpp
