/////////////////////////////////////////////////////////////////////////////////////////////////////
//
// Functions
//

// INT32 SQLGetLastTotals(struct jBASEDataAreas *dp, VAR* StmtVar);
DEFC INT TCISQLGetLastTotals(VAR)

// INT32 SQLGetStatmentType(struct jBASEDataAreas *dp, VAR* StmtVar);
DEFC INT TCISQLGetStatmentType(VAR)

// INT32 SQLCompile(struct jBASEDataAreas *dp, VAR* StmtVar, VAR* cmdLine, VAR* Options,VAR* ErrorStringVar,INT32 ErrorNumber);
DEFC INT TCISQLCompile(VAR,VAR,VAR,VAR,INT)

// INT32 SQLPrepare(struct jBASEDataAreas *dp, VAR* StmtVar, VAR* cmdLine, VAR* Options,VAR* ErrorStringVar,INT32 ErrorNumber);
DEFC INT TCISQLPrepare(VAR,VAR,VAR,VAR,INT)

// INT32 SQLExecute(struct jBASEDataAreas *dp, VAR* StmtVar, VAR* SelectListVar,VAR* ErrorStringVar,INT32 ErrorNumber);
DEFC INT TCISQLExecute(VAR,VAR,VAR,INT)

// INT32 SQLBind(struct jBASEDataAreas *dp, VAR* StmtVar, INT32 inteface,VAR** SelectListVarArray,VAR* ErrorStringVar,INT32 ErrorNumber);
DEFC INT TCISQLBind(VAR,INT,VAR,VAR,INT)

// INT32 SQLFetchFromBasic(struct jBASEDataAreas *dp, VAR* StmtVar, VAR* ControlVar,VAR* ErrorStringVar,INT32 ErrorNumber);
DEFC INT TCISQLFetchFromBasic(VAR,VAR,VAR,INT)

// INT32 SQLElementAt(struct jBASEDataAreas *dp, VAR* StmtVar, INT32 pos, VAR *data);
DEFC INT TCISQLElementAt(VAR,INT,VAR)

// INT32 SQLElementSize(struct jBASEDataAreas *dp, VAR* StmtVar);
DEFC INT TCISQLElementSize(VAR)

// INT32 SQLAddBindElement(struct jBASEDataAreas *dp, VAR* StmtVar, VAR *newItem);
DEFC INT TCISQLAddBindElement(VAR,VAR)

// INT32 SQLFlushBindData(struct jBASEDataAreas *dp, VAR* StmtVar);
DEFC INT TCISQLFlushBindData(VAR)

// INT32 SQLFetchMetaData(struct jBASEDataAreas *dp, VAR* StmtVar, VAR *MetaData);
DEFC INT TCISQLFetchMetaData(VAR,VAR)

// INT32 SQLGetLastErrorDescription(struct jBASEDataAreas *dp, VAR* StmtVar, VAR* errorVar)
DEFC INT TCISQLGetLastErrorDescription(VAR,VAR)

// INT32 TCISQLCloseStatment(struct jBASEDataAreas *dp, VAR* StmtVar)
DEFC INT TCISQLCloseStatment(VAR)

/////////////////////////////////////////////////////////////////////////////////////////////////////
//
// Metadata
//

// Runtime header
//
// Attributess 1 to 5

EQUATE META_HEADER_ColumnNumber   TO 1
EQUATE META_HEADER_ItemID         TO 2
EQUATE META_HEADER_DateFMT        TO 3
EQUATE SQL_META_HEADER_FILE_FLAGS TO 4
EQUATE META_HEADER_IDCount        TO 5


// Column deffinitions start here
EQUATE META_HEADER_DataStart    TO 6

// Attribute 6 to ( 6 + ID Count ) should be pre-generated data for each column
EQUATE META_ROW_RowNumber            TO 1
EQUATE META_ROW_SourceDictionaryName TO 2
EQUATE META_ROW_SourceFileName       TO 3
EQUATE META_ROW_Scale                TO 4
EQUATE META_ROW_Precision            TO 5
EQUATE META_ROW_DislayWidth          TO 6
EQUATE META_ROW_Indexable            TO 7
EQUATE META_ROW_InputConversion      TO 8
EQUATE META_ROW_OutputConversion     TO 9
EQUATE META_ROW_DataType             TO 10
EQUATE META_ROW_IsNullable           TO 11
EQUATE META_ROW_IsReadOnly           TO 12
EQUATE META_ROW_IsBlob               TO 13
EQUATE META_ROW_IsAutoIncrement      TO 14
EQUATE META_ROW_IsExplicitSelect     TO 15
EQUATE META_ROW_IsNullFldDesc        TO 16
EQUATE META_ROW_IsChapter            TO 17
EQUATE META_ROW_IsHidden             TO 18
EQUATE META_ROW_Justification        TO 19
EQUATE META_ROW_Format               TO 20
EQUATE SQL_META_ROW_COLUMN_FLAGS     TO 21

/////////////////////////////////////////////////////////////////////////////////////////////////////
//
// Statment types
//

EQUATE TYPE_SELECT_STATMENT          TO        4
EQUATE TYPE_DELETE_STATMENT          TO     1024
EQUATE TYPE_INSERT_STATMENT          TO     2048
EQUATE TYPE_UPDATE_STATMENT          TO     4096
EQUATE TYPE_CREATETABLE_STATMENT     TO     8192
EQUATE TYPE_DROPTABLE_STATMENT       TO    16384
EQUATE TYPE_BEGINTRANS_STATMENT      TO    32768
EQUATE TYPE_COMMITTRANS_STATMENT     TO    65536
EQUATE TYPE_ROLLBACKTRANS_STATMENT   TO   131072
EQUATE TYPE_SAVETRANS_STATMENT       TO   262144
EQUATE TYPE_PREPARE_STATMENT         TO   524288
EQUATE TYPE_CREATEDICTTABLE_STATMENT TO  1048576
EQUATE TYPE_CREATEPROC_STATMENT      TO  2097152
EQUATE TYPE_ALTERTABLE_STATMENT      TO  4194304
EQUATE TYPE_CREATEUSER_STATMENT      TO  8388608
EQUATE TYPE_ALTERUSER_STATMENT       TO 16777216
EQUATE TYPE_DROPUSER_STATMENT        TO 33554432 
EQUATE TYPE_DESCRIBE_STATMENT        TO 67108864 
