/*
 * This file was auto-created at Tue Mar 26 04:07:23 2019
 * Created from /home/ianm/src/International/5.7.2.1/port/Template/jportC.Template
 */
/*
 * Define the platform type.
 */
#ifndef	JPORTC
#define	JPORTC
#ifndef AIX
#define	AIX
#endif
#ifndef AIX_6
#define	AIX_6
#endif
/*
 * Platform conditionals.
 */
#define	JBUILD_PORT_EXE			""			/* File extension given to an executable file */
#define	JBUILD_PORT_SLIB		".so"		/* File extension given to a shared library */
#define	JBUILD_PORT_ALIB		".a"		/* File extension given to an archive library */
#define	JBUILD_PORT_OBJ			".o"			/* File extension given to a compiled object */
#define	JBUILD_PORT_EL			".el"			/* File extension given to shared object definitions */
#define	JBUILD_PORT_KEY			"AIX_6"		/* Platform name such as "AIX" or "HPUX" */
#define	JBUILD_DELIM_CH			'/'		/* The file delimiter */
#define	JBUILD_DELIM_STR		"/"		/* The file delimiter */
#define	JBUILD_SEP_CH			':'		/* The file separatory typically used in PATH */
#define	JBUILD_SEP_STR			":"		/* The file separatory typically used in PATH */
#define	JBUILD_DEFAULT_DIR		"/opt/jbase5/5.2"	/* The default directory jBASE is loaded into */
#define	JBUILD_LIBENV			"LIBPATH"		/* The environment variable name for library paths */
#define	JBUILD_BAD_FILE_CH		"/"	/* List of characters that can't be in a file name */
#define	JBUILD_COMODIR			"&COMO&"		/* The directory name used for COMO data */
#define	JBUILD_CMD_MKDIR		"mkdir -m 0755 "	/* The command to make a directory */
#define	JBUILD_CMD_MOVE			"mv "	/* The command to move a file */
#define	JBUILD_CMD_COPY			"cp "	/* The command to copy a file */
#define	JBUILD_CMD_RM			"rm -f "		/* The command to remove a file */
#define	JBUILD_CMD_RMDIR		"rm -rf "	/* The command to remove a directory */
#define	JBUILD_NULL_DEVICE		"/dev/null"	/* Definition of a null file */
#define	JBUILD_TO_NULL			"> /dev/null 2>&1"		/* Command extension to output to a null file */
#define JBUILD_EXPORT					/* The string to cause a function to be exported */
#define	JBUILD_SEP_CH			':'		/* The separation character used in PATH */
#define	JBUILD_SEP_STR			":"		/* The separation character used in PATH */
#define	JBUILD_GET_TOD_PRECISION	6		/* The precision of gettimeofday() fractional part*/
/*
 * Options for compiling programs.
 */
#define	JBUILD_COMPILE_DEFAULT_CC			"xlc_r"			/* The default C compiler */
#define	JBUILD_COMPILE_DEFAULT_CPP			"xlC_r"			/* The default C++ compiler */
#define	JBUILD_COMPILE_DEFAULT_JBC			"xlc_r"			/* The default compiler for jBC code */
#define	JBUILD_COMPILE_DEFAULT_SLIB			"xlc_r"		/* The default compiler for shared libs */
#define	JBUILD_COMPILE_DEFAULT_EXE			"xlc_r"			/* The default compiler executables */
#define	JBUILD_COMPILE_OPTIONS_DEFAULT_CC	" -brtl -qenum=4 -qrtti=all -qro -qroconst -q64 -qarch=pwr6 -qtune=pwr6 -qinfo=cmp:cns:cnv:eff:enu:ini:lan:ret -qsuppress=1540-5337:1540-5344:1506-446 -qcpluscmt -qthreaded  -D_LARGE_FILES -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"	/* Default options to pass to C */
#define	JBUILD_COMPILE_OPTIONS_DEFAULT_CPP	" -brtl -qenum=4 -qrtti=all -qro -qroconst -q64 -qarch=pwr6 -qtune=pwr6 -qinfo=cmp:cns:cnv:eff:enu:ini:lan:ret -qsuppress=1540-5337:1540-5344:1506-446 -qcpluscmt -qthreaded  -D_LARGE_FILES -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"	/* Default options to pass to C++ */
#define	JBUILD_COMPILE_OPTIONS_DEFAULT_JBC	" -qrtti=all -qro -qroconst -q64 -qthreaded -qcpluscmt -qarch=pwr6 -qtune=pwr6"	/* Default options to pass to jBC */
#define	JBUILD_COMPILE_OPTIONS_DEFAULT_SLIB	" -brtl -qenum=4 -qrtti=all -qro -qroconst -q64 -qarch=pwr6 -qtune=pwr6 -qinfo=cmp:cns:cnv:eff:enu:ini:lan:ret -qsuppress=1540-5337:1540-5344:1506-446 -qcpluscmt -qthreaded  -D_LARGE_FILES -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"/* Default options to create shared */
#define	JBUILD_COMPILE_OPTIONS_DEFAULT_EXE	" -qrtti=all -qro -qroconst -q64 -qinfo=cmp:cns:cnv:eff:enu:ini:lan:ret -qsuppress=1500-010:1500-029:1506-435:1540-1408:1540-5301:1540-1407:1540-5338:1540-5344:1506-446 -qcpluscmt -qthreaded -brtl -bnolibpath"	/* Default options to create execs */
#define	JBUILD_COMPILE_OPTIONS_DEFAULT_GCC	" -fPIC -w -fexceptions"	/* Default options to pass to 'gcc' */
#define	JBUILD_COMPILE_OPTIONS_OPTIMISE		" -O -qMAXMEM=2097152 -qspill=2048"	/* Options to optimise the source */
#define	JBUILD_COMPILE_OPTIONS_WARN64		"-qwarn64"		/* Options to enable extra warnings */
#define	JBUILD_COMPILE_OPTIONS_WARN64_CPP	""	/* Options to enable extra warnings */
#define	JBUILD_COMPILE_OPTIONS_OUTPUT_FILE	" -o"	/* Options to specify output name */
#define	JBUILD_COMPILE_OPTIONS_DEBUG		" -g -D_JASSERT"		/* Options to add OS debug info */
#define	JBUILD_COMPILE_OPTIONS_SLIB			" -G -q64 -brtl -bnolibpath"		/* Options to build shared libs. */
#define	JBUILD_COMPILE_LIB_SYSTEM			" -lm -lcurses -lrts"	/* System libraries */
#define	JBUILD_COMPILE_LIB_JBASE_SYSTEM		" -lC"	/* Extra system libraries when building libjbase */
#define	JBUILD_COMPILE_LIB_JBASE_SHARED		" -ljbase"	/* jBASE shared library */
#define	JBUILD_COMPILE_LIB_JBASEUTIL		" -ljbaseutil"	/* jBASE utility library */
#define	JBUILD_COMPILE_LIB_JEE_SHARED		""	/* jBASE JEE shared library */
#define	JBUILD_COMPILE_LIB_JBASE_ARCHIVE	" %s/lib/libjbase.a"	/* jBASE archive library */
#define	JBUILD_COMPILE_AR					"ar "			/* Command name to manage library */
#define	JBUILD_COMPILE_ARFLAGS				"-X64 -r"		/* Options to pass to the command */
#define	JBUILD_COMPILE_JAVA_PLATFORM_INCLUDES	"aix"	/* Where the platform specific includes are */
#define	JBUILD_COMPILE_NM					"nm "			/* Command name to generate symbols */
#define	JBUILD_COMPILE_NMFLAGS				"-X64"		/* Options to pass to the command */

#define	JBUILD_COMPILE_ANTLR_OPTIONS		""	/* Options to pass into antlr, eg -ebcdic,-trace */

/*
 * Options for C++
 */
#define	JBASE_STD_NAMESPACE		std::
#define	JBASE_STDCOLON_NAMESPACE	std::



/*
 * A list of all the JBUILD_OPTION_xxx values follows ...
 *
 * JBUILD_OPTION_NOCOLOUR       Define if no colour parameters in terminfo.
 * JBUILD_OPTION_4BYTE          Alignment should be on 4 byte boundary
 * JBUILD_OPTION_MMAP_BASIC     Basic memory mapping, fairly crude , is supported.
 *                              For example, it can map static files, but files that
 *                              grow in size or have overlapping maps provide difficulty.
 * JBUILD_OPTION_MMAP_FULL      Provide full feature memory maps, including files that
 *                              are linked, overlapping maps and so on.
 * JBUILD_OPTION_NO_STATFS		Define in the 'sys/statfs.h' include file
 *                              is missing. (No statfs() fstatfs()).
 * JBUILD_OPTION_MMAP_NONE		No memory mapping is available.
 * JBUILD_OPTION_STATFS2		As required by the eld AIX and the Linux system
 * JBUILD_OPTION_OLDTAPE		If set, then old style tape ioctl() statements are supported.
 * JBUILD_OPTION_NO_SYSCONF		The sysconf() command is not fully supported.
 * JBUILD_OPTION_NO_ALTZONE		The system does not provide the 'altzone' variable.
 * JBUILD_OPTION_NO_LCHOWN      No lchown command (jrestore)
 * JBUILD_OPTION_USE_SC_PAGESIZE Platform has SC_PAGESIZE not SC_PAGE_SIZE
 * JBUILD_OPTION_NO_REGEXEC		Platform has no regexec function
 * JBUILD_OPTION_USE_PW_GECOS	If set, then in the password structure returned from getpwnam()
 *                              we should use the pw_gecos field for the location of the user
 *                              instead of the pw_comment field (default).
 * JBUILD_OPTION_INLINE_FUNCTIONS	If defined, the GnuCC accepts __inline__ functions
 * JBUILD_OPTION_NO_MACROS      The platform doesn't have 'macros.h' in which min() and max() defined.
 * JBUILD_OPTION_SYSERRLIST		The definition for sys_errlist already exists , don't redefine it.
 * JBUILD_OPTION_NO_MALLINFO    The platform doesn't have the mallinfo() function built in.
 * JBUILD_OPTION_MALLOC_THREADSAFE  The platform has thread safe version of malloc, free, realloc and calloc so
 *									do not protect them with mutexes.
 * JBUILD_OPTION_NO_PROFILE		The platform doesn't support use of setitimer() to profile code in real time
 * JBUILD_OPTION_FILE64  		Supports 64 bit file offsets
 * JBUILD_OPTION_EBCDIC  	Uses EBCDIC Character set
 * JBUILD_OPTION_NO_SNPRINTF	Platform does not support the snprintf function
 * JBUILD_OPTION_NO_POPEN	The platform does not have popen() function (or it does not work in multithreaded env)
 * JBUILD_OPTION_NOOPTIMIZE		Build was done non-optimised
 * JBUILD_OPTION_BIGINT_MATH	Use BIGINT, instead of BCD, maths system.
 */
/*
 * Define any platform conditional flags.
 * Either a blank line will appear, or a '#define JBUILD_OPTION_xxx' depending
 * if the platform supports any of the above options.
 */




#define	JBUILD_OPTION_MMAP_FULL



#define	JBUILD_OPTION_OLDTAPE

#define	JBUILD_OPTION_NO_ALTZONE



#define	JBUILD_OPTION_USE_PW_GECOS











#define	JBUILD_OPTION_FILE64





#define	JBUILD_OPTION_64BIT

#define	JBUILD_OPTION_JDLS







/*
 * Now build with BIGINTS by default. i.e JBUILD_OPTION_BIGINT_MATH is the
 * reverse of JBUILD_OPTION_NO_BIGINT_MATH.
 */
#ifndef	JBUILD_OPTION_NO_BIGINT_MATH
#define JBUILD_OPTION_BIGINT_MATH
#endif

/*
 * Define the __FUNCTION macro if we need to
 */

#if			defined(JBUILD_OPTION_NO_FUNCTION)
#define		__FUNCTION__ __func__
#endif
/*
 * Define an alternative to altzone if necessary.
 */
#if			defined(JBUILD_OPTION_NO_ALTZONE)
#define		altzone	timezone
#endif
/*
 * Decide if a development build without licensing.
 */


/* definition of a 64 bit integer type */
typedef  long long  INT64;
typedef unsigned long long UINT64;

#endif		/* Of JPORTC */
