
 package mail;

import java.io.*;
import java.net.InetAddress;
import java.util.Properties;
import java.util.Date;

import javax.mail.*;
import javax.mail.internet.*;

public class msgsend {


	public msgsend(){}


    public String sendMsg(String sParam){
    	
		/*************************************************
	     * Get the destination
	     */
	    String sSeparator = "\uf8fe";  	//If we are running 4.1
		String sDestination = "";
		int nPos = sParam.indexOf(sSeparator);
		if (nPos < 0)
			sSeparator = "";			//So maybe we are using 3.4 or 4.0 ??
			nPos = sParam.indexOf(sSeparator);
		if (nPos > 0){
			sDestination = sParam.substring(0, nPos);
			sParam = sParam.substring(nPos+1);
		}
		/*************************************************/


		/*************************************************
	     * Get the subject
	     */
		String sSubject = "";
		nPos = sParam.indexOf(sSeparator);
		if (nPos > 0){
			sSubject = sParam.substring(0, nPos);
			sParam = sParam.substring(nPos+1);
		}
		/*************************************************/


		/*************************************************
	     * The rest of the message is the message itself ...
	     */
	     String sMessage = "";
	     while (!sParam.equals("")){
	     	nPos = sParam.indexOf(sSeparator);
			if (nPos > 0){
				sMessage += sParam.substring(0, nPos) + "\n";
				sParam = sParam.substring(nPos+1);
			}else{
				sMessage += sParam;
				break;
			}
		}
		return SendIt(sDestination, sSubject, sMessage);
    }
    
    
    public static void main(String[] argv) {
    }

    public String SendIt(String Dest, String Subject, String sMessage) {

	String  to, subject = null, from = null, 
		cc = null, bcc = null, url = null;
	String mailhost = null;
	String mailer = "msgsend";
	String protocol = null, host = null, user = null, password = null;
	String record = null;	// name of folder in which to record mail
	boolean debug = false;


	try {
		to = Dest;


	    Properties props = System.getProperties();
	    mailhost = "bosmail.jbasesoftware.com";
		props.put("mail.smtp.host", mailhost);

	    // Get a Session object
	    Session session = Session.getDefaultInstance(props, null);
	    Message msg = new MimeMessage(session);
		msg.setFrom(new InternetAddress("BASIC"));
		//msg.setFrom();
	    
	    msg.setRecipients(Message.RecipientType.TO,	InternetAddress.parse(to, false));
	    if (cc != null)
			msg.setRecipients(Message.RecipientType.CC,	InternetAddress.parse(cc, false));
	    if (bcc != null)
			msg.setRecipients(Message.RecipientType.BCC, InternetAddress.parse(bcc, false));

	    msg.setSubject(Subject);

		msg.setText(sMessage);

	    Transport.send(msg);

	    return "done.";


	} catch (Exception e) {
	    return e.getMessage();
	}
    }
}
