// Sample program to demonstrate the use of CALLDOTNET
// Takes a single argument - a URL - performs a GET and
// returns the HTML.
//
// Author : Martin Bailey
// Copyright 2003 TEMENOS Holdings NV



using System;
using System.Net;
using System.IO;
using System.Text;

namespace namespaceURL
{
class classURL {

    
    public static string getURL(string url) {

	    	string page = getPage(url);
			return "Received :" + page;
        
        }


    public static string getPage(string url) {
	    string response;
        WebResponse result = null;
        
        try {
            WebRequest req = WebRequest.Create(url);
            result = req.GetResponse();

            Stream ReceiveStream = result.GetResponseStream();
            Encoding encode = System.Text.Encoding.GetEncoding("utf-8");
            StreamReader sr = new StreamReader( ReceiveStream, encode );

			Char[] readbuffer = new Char[5096];
            int count = sr.Read( readbuffer, 0, 5096 );

            String str = new String(readbuffer, 0, count);
            response = str;
            }
        catch(Exception e) {
            response = ("\r\nThe request URI could not be found or was malformed [" + e + "]");
        } finally {
            if ( result != null ) {
                result.Close();
        	}
        }
    		return response;
    	} 
	}
}
