
*
* Example embedded SQL main program
*

    EXEC SQL BEGIN DECLARE SECTION;
    STRING(20) User;
    STRING(20) Passwd;
    BLOB(5120) Blob;
    EXEC SQL END DECLARE SECTION;

    User = "db2inst1"
    Passwd = "demo99"

    CRT "CONNECT TO DATABASE"

    EXEC SQL CONNECT TO TESTDB USER :User USING :Passwd ;

    CRT "SELECT ROW WITH PRIMARY KEY LobId EQUAL TO '1' FROM TABLE LobTable"

    EXEC SQL SELECT Lob INTO :Blob FROM LobTable WHERE LobId = '1';

    CRT "FIRST 100 BYTES OF COLUMN Blob :":OCONV(Blob[1,100],"MCPN")
    CRT "SIZE OF Blob :":LEN(Blob)

    CRT "DELETE ROW FROM TABLE LobTable "

    EXEC SQL DELETE FROM LobTable WHERE LobId = '1';

    CRT "CHANGE Blob DYNAMIC ARRAY "

    Blob = "ABCDEFG":@AM:"HIJKLMNOP":@VM:"QRSTUV":@IM:"XYZ"

    CRT "NEW Blob ARRAY ":OCONV(Blob,"MCPN")
    CRT "SIZE OF NEW Blob ":LEN(Blob)

    CRT "INSERT NEW Blob INTO LobTable "

    EXEC SQL INSERT INTO LobTable VALUES( '1', :Blob);

    CRT "RESET CONNECTION "
    EXEC SQL CONNECT RESET;
