
*
* Example embedded SQL main program
*
    DEFC SQLERROR()

*
* First Create SQL TABLE
*
* CREATE TABLE LobTable ( LobId CHAR(20) NOT NULL PRIMARY KEY, Blob VARCHAR(3000))

* jbc -Jo -Jqo ORA_MAIN.b
*
* ORA_MAIN
*

    EXEC SQL BEGIN DECLARE SECTION;
    STRING(20) User;
    STRING(20) Passwd;
    VARCHAR(2000) Blob;
    EXEC SQL END DECLARE SECTION;

    User = "demo"
    Passwd = "demo99"

    EXEC SQL WHENEVER SQLERROR GOTO proglab_JERROR;
    EXEC SQL WHENEVER SQLWARNING GOTO proglab_JWARN;

    CRT "CONNECT TO DATABASE"

    EXEC SQL CONNECT :User IDENTIFIED BY :Passwd ;

    CRT "SELECT ROW WITH PRIMARY KEY LobId EQUAL TO '1' FROM TABLE LobTable"

    EXEC SQL SELECT Blob INTO :Blob FROM LobTable WHERE LobId = '1';

    CRT "FIRST 100 BYTES OF COLUMN Blob :":OCONV(Blob[1,100],"MCPN")
    CRT "SIZE OF Blob :":LEN(Blob)

    CRT "DELETE ROW FROM TABLE LobTable "

    EXEC SQL DELETE FROM LobTable WHERE LobId = '1';

    CRT "CHANGE Blob DYNAMIC ARRAY "

    Blob = "ABCDEFG":@AM:"HIJKLMNOP":@VM:"QRSTUV":@IM:"XYZ"

    CRT "NEW Blob ARRAY ":OCONV(Blob,"MCPN")
    CRT "SIZE OF NEW Blob ":LEN(Blob)

    CRT "INSERT NEW Blob INTO LobTable "

    EXEC SQL INSERT INTO LobTable VALUES( '1', :Blob);


    CRT "COMMIT"

    EXEC SQL COMMIT ;

    STOP

JERROR:
    CRT "Error occured ":SQLERROR()
    STOP

JWARN:
    CRT "Waring occured ":SQLERROR()
    STOP
