
*
* Example embedded SQL main program
*

    DEFC SQLERROR()

    EXEC SQL BEGIN DECLARE SECTION;
    STRING(30) User;
    STRING(30) Passwd;
    STRING(50) Id;
    STRING(100) Record;
    STRING(30) Server;
    EXEC SQL END DECLARE SECTION;

    EXEC SQL WHENEVER SQLERROR GOTO proglab_ERROR;
    EXEC SQL WHENEVER SQLWARNING GOTO proglab_WARNING;
    EXEC SQL WHENEVER NOT FOUND GOTO proglab_NOTFOUND;

    User = "sa"
    Passwd = ""
    Server = "SYBASE"

    CRT "CONNECT TO DATABASE"

    EXEC SQL CONNECT :User IDENTIFIED BY :Passwd USING :Server ;

    CRT "SELECT Record WITH PRIMARY KEY Id EQUAL TO '1' FROM TABLE SYBTable"

    EXEC SQL SELECT Record INTO :Record FROM SYBTable WHERE Id = '1';

    CRT "FIRST 100 BYTES OF COLUMN Record :":OCONV(Record[1,100],"MCPN")
    CRT "SIZE OF Record :":LEN(Record)

    CRT "DELETE ROW FROM TABLE SYBTable "

    EXEC SQL DELETE FROM SYBTable WHERE Id = '1';

    CRT "CHANGE Record DYNAMIC ARRAY "
    CRT "Enter data for Record ":
    INPUT ANS
    IF ANS NE "" THEN
        Record = ANS
    END ELSE
        Record = "ABCDEFG":@AM:"HIJKLMNOP":@VM:"QRSTUV":@IM:"XYZ"
    END

    CRT "NEW Record ARRAY ":OCONV(Record,"MCPN")
    CRT "SIZE OF NEW Record ":LEN(Record)

    CRT "INSERT NEW Record INTO SYBTable "

    EXEC SQL INSERT INTO SYBTable VALUES( '1', :Record);

    CRT "COMMIT INSERT"
    EXEC SQL COMMIT;

    CRT "RESET CONNECTION "
    EXEC SQL DISCONNECT ALL;

    STOP

ERROR:
    CRT "ERROR"

    SQLERROR()
    STOP

WARNING:
    CRT "WARNING"

    SQLERROR()
    STOP

NOTFOUND:
    CRT "NOT FOUND"
    SQLERROR()
    STOP
