/************************************************************************************
*
* Some definitions for 64 bit file I/O access.
*
*************************************************************************************/

#if		defined(JBUILD_OPTION_FILE64)

typedef	INT64 						jlong64 ;
typedef	UINT64						julong64 ;

#else		/* defined(JBUILD_OPTION_FILE64) */

typedef	long						jlong64 ;
typedef	unsigned	long			julong64 ;

#endif		/* defined(JBUILD_OPTION_FILE64) */

int		jopen64 ( const char * filename, int oflag, int perms );
int		jread64 ( struct jBASEDataAreas *dp,  struct jfd * fdinfo, void * buf, size_t count, off_t offset );
int		jwrite64( struct jBASEDataAreas *dp, struct jfd * fdinfo, void * buf, size_t count, off_t offset );
void	jputlong64( jlong64 value, void * buf );
jlong64	jgetlong64( void *buf ) ;

