
 
#include <jsystem.h>
#include <assert.h>
 
#ifdef DPSTRUCT_DEF
#define JBASEDP		DPSTRUCT *dp,
#else
#define JBASEDP
#endif

/*
 * Simple C function called from jBC
 * Print string argument, and returns the length of string.
 */

VAR *MyString(VAR *Result, JBASEDP  VAR *VarPtr)
{
char *Ptr;
    assert(dp != NULL);

    Ptr = (char *) CONV_SFB(VarPtr);

    printf("MyString: %s - %d\n", Ptr, strlen(Ptr) );

    STORE_VBI(Result, strlen(Ptr) );

    return(Result);
}

/*
 * Simple C function called from jBC
 * Calculate passed integers and return result
 * Note no handling of variables required.
 */

INT32 MyCalc(INT32 Value1, INT32 Value2)
{
INT32	Result;

    Result =  (Value1 / Value2);

    printf("MyCalc: %d\n", Result);

    return(Result);
}
