
#!/bin/ksh

REM Unix directory driver example

echo "Build driver object"
jcompile -c jediDExample.c

echo "Build shared library"
jcompile -d jediDExample.o -s libddriver.so

echo "Setup stub"
echo JBC__SOB ExampleInit .d > Example

echo "Create Example.d directory"
mkdir Example.d

echo "set environment variable to locate driver"
export JBCOBJECTLIST=$JBCRELEASEDIR/samples/JEDIDRIVER

echo "set environment variable to keep stub open for lock test"
export JEDI_SOB_NOCLOSE=1

echo "Driver now ready for test, e.g. 'ED Example X' "
exec ksh
