* This program is an example program that shows how to fetch data with SQL Syntax.

    PROGRAM MYSQLLIST

    INCLUDE SQLINTERFACE.h

    data = ""
    return_code = 0
    Control = ""
    Options = 0
    Statement = ""
    ErrorString = ""
    IF SYSTEM(11) THEN Options = 1

    CRT "Enter Selection Criteria :":
    INPUT SelCriteria
    IF SelCriteria = "" THEN STOP

    SelCriteria =  "SELECT ":SelCriteria
    rc = TCISQLCompile(Statement, SelCriteria, Options, ErrorString, return_code)
    IF rc < 0 THEN GOTO showError
    sel = ""
    rc = TCISQLExecute(Statement, sel, ErrorString, return_code)
    IF rc < 0 THEN GOTO showError

    ProcessedItems = 0
    LOOP
        rc = TCISQLFetchFromBasic(Statement, Control, ErrorString, return_code)
    WHILE rc >= 0 DO
        cols = TCISQLElementSize(Statement)
        results_line = ""
        FOR x = 0 TO (cols-1)
            status =  TCISQLElementAt(Statement, x, data)
            IF status NE 0 THEN
                ErrorString = ""
                GOTO showError
            END
            results_line<-1> = DQUOTE(data)
        NEXT x
        ProcessedItems++
        CRT "Data :":CHANGE(results_line, @AM, ",")
    REPEAT
    CRT "Processed ":ProcessedItems
    STOP

showError:
    IF ErrorString = "" THEN TCISQLGetLastErrorDescription(Statement, ErrorString )
    IF ErrorString<1> NE "80045024" THEN
        IF ErrorString = "" THEN 
             ErrorString = "80045024":@FM:SelCriteria:@FM:"Internal SQL Error":" (":rc:")"
        END ELSE
             ErrorString = ErrorString:" (":rc:")"
        END
    END
    STOP ErrorString

